Skip to content

List HRIS providers

employers.list_hris_providers() -> EmployerListHRISProvidersResponse
GET/v1/employers/hris-providers

Returns the distinct HRIS/payroll providers across the same book GET /v1/employers returns, sorted for display. Use these as the values for the employers list’s hris_provider filter — filter on provider, show provider_label. The stored providers are free text, so they cannot be enumerated in advance.

ReturnsExpand Collapse
class EmployerListHRISProvidersResponse:

Unpaginated {"data": [...]} list of organization hris providers.

data: List[Data]
provider: str

HRIS/payroll provider id, as stored on the connection (e.g. adp_run). Filter with this.

provider_label: str

Display name of that provider (e.g. ADP Run).

List HRIS providers

import os
from vitable_connect import VitableConnect

client = VitableConnect(
    api_key=os.environ.get("VITABLE_CONNECT_API_KEY"),  # This is the default and can be omitted
)
response = client.employers.list_hris_providers()
print(response.data)
{
  "data": [
    {
      "provider": "adp_run",
      "provider_label": "ADP Run"
    },
    {
      "provider": "paychex_flex",
      "provider_label": "Paychex Flex"
    }
  ]
}
Returns Examples
{
  "data": [
    {
      "provider": "adp_run",
      "provider_label": "ADP Run"
    },
    {
      "provider": "paychex_flex",
      "provider_label": "Paychex Flex"
    }
  ]
}